.login {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.login .button {
  color: var(--quinary);
  text-transform: uppercase;
  letter-spacing: 2px;
  display: block;
  font-weight: bold;
  font-size: x-large;
}

.login .card {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 350px;
  width: 20vw;
  flex-direction: column;
  gap: 35px;
  background: var(--quaternary);
  border-radius: 8px;
  padding: 20px;
}

.login .inputBox {
  position: relative;
  width: 250px;
}

.login .inputBox input {
  width: 100%;
  height: 60px;
  padding: 10px;
  color: var(--quinary);
  font-size: 1em;
  background: transparent;
  border-left: 2px solid var(--quinary);
  border-bottom: 2px solid var(--quinary);
  transition: 0.1s;
  border-bottom-left-radius: 8px;
}

.login .inputBox span {
  margin-top: 5px;
  position: absolute;
  left: 0;
  margin-left: 10px;
  padding: 10px;
  pointer-events: none;
  font-size: 12px;
  color: var(--quinary);
  text-transform: uppercase;
  transition: 0.5s;
  letter-spacing: 3px;
  border-radius: 8px;
}

.login .inputBox input:valid ~ span,
.login .inputBox input:focus ~ span {
  transform: translateX(113px) translateY(-15px);
  font-size: 0.8em;
  padding: 5px 10px;
  background: var(--quinary);
  letter-spacing: 0.2em;
  color: var(--quaternary);
  border: 2px;
}

.login .inputBox input:valid,
.login .inputBox input:focus {
  border: 2px solid var(--quinary);
  border-radius: 8px;
}

.login button {
  height: 45px;
  padding: 10px;
  border-radius: 5px;
  border: 2px solid var(--quinary);
  transition: 0.5s;
  text-transform: uppercase;
  font-size: 10px;
  letter-spacing: 2px;
}

.login button:hover {
  background-color: var(--quinary);
  color: var(--quaternary);
}

.login .error {
  background-color: var(--tertiary);
  color: var(--quaternary);
  padding: 15px;
  border-radius: 5px;
}
